atomic_timed_wait.h File Reference

Go to the source code of this file.

## Namespaces

namespace | std
namespace | std::__detail

## Typedefs

using | std::__detail::__bare_timed_wait
using | std::__detail::__enters_timed_wait
using | std::__detail::__wait_clock_t

## Functions

template<typename _Tp, typename _Pred, typename _Rep, typename _Period>
bool | std::__atomic_wait_address_for (const _Tp *__addr, _Pred __pred, const chrono::duration< _Rep, _Period > &__rtime) noexcept
template<typename _Pred, typename _Rep, typename _Period>
bool | std::__atomic_wait_address_for_bare (const __detail::__platform_wait_t *__addr, _Pred __pred, const chrono::duration< _Rep, _Period > &__rtime) noexcept
template<typename _Tp, typename _ValFn, typename _Rep, typename _Period>
bool | std::__atomic_wait_address_for_v (const _Tp *__addr, _Tp &&__old, _ValFn &&__vfn, const chrono::duration< _Rep, _Period > &__rtime) noexcept
template<typename _Tp, typename _Pred, typename _Clock, typename _Dur>
bool | std::__atomic_wait_address_until (const _Tp *__addr, _Pred __pred, const chrono::time_point< _Clock, _Dur > &__atime) noexcept
template<typename _Pred, typename _Clock, typename _Dur>
bool | std::__atomic_wait_address_until_bare (const __detail::__platform_wait_t *__addr, _Pred __pred, const chrono::time_point< _Clock, _Dur > &__atime) noexcept
template<typename _Tp, typename _ValFn, typename _Clock, typename _Dur>
bool | std::__atomic_wait_address_until_v (const _Tp *__addr, _Tp &&__old, _ValFn &&__vfn, const chrono::time_point< _Clock, _Dur > &__atime) noexcept
template<typename _Clock, typename _Dur>
bool | std::__detail::__cond_wait_until (__condvar &__cv, mutex &__mx, const chrono::time_point< _Clock, _Dur > &__atime)
template<typename _Clock, typename _Dur>
bool | std::__detail::__cond_wait_until_impl (__condvar &__cv, mutex &__mx, const chrono::time_point< _Clock, _Dur > &__atime)
template<typename _Dur>
__wait_clock_t::time_point | std::__detail::__to_wait_clock (const chrono::time_point< __wait_clock_t, _Dur > &__atime) noexcept
template<typename _Clock, typename _Dur>
__wait_clock_t::time_point | std::__detail::__to_wait_clock (const chrono::time_point< _Clock, _Dur > &__atime) noexcept

## Detailed Description

This is an internal header file, included by other library headers. Do not attempt to use it directly. Instead, include <atomic>.

Definition in file atomic_timed_wait.h.